[metadata]
name = pytest-arraydiff
url = https://github.com/astropy/pytest-arraydiff
author = The Astropy Developers
author_email = astropy.team@gmail.com
classifiers = 
	Development Status :: 4 - Beta
	Framework :: Pytest
	Intended Audience :: Developers
	License :: OSI Approved :: BSD License
	Operating System :: OS Independent
	Programming Language :: Python
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3 :: Only
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Programming Language :: Python :: 3.9
	Programming Language :: Python :: 3.10
	Programming Language :: Python :: 3.11
	Programming Language :: Python :: 3.12
	Programming Language :: Python :: Implementation :: CPython
	Topic :: Software Development :: Testing
	Topic :: Utilities
license = BSD
description = pytest plugin to help with comparing array output from tests
long_description = file: README.rst
long_description_content_type = text/x-rst

[options]
zip_safe = False
packages = find:
python_requires = >=3.7
setup_requires = 
	setuptools_scm
install_requires = 
	pytest>=4.6
	numpy

[options.extras_require]
test = 
	astropy
	pandas
	tables

[options.entry_points]
pytest11 = 
	pytest_arraydiff = pytest_arraydiff.plugin

[tool:pytest]
minversion = 4.6
testpaths = tests
xfail_strict = true
markers = 
	array_compare: for functions using array comparison
filterwarnings = 
	error
	ignore:distutils Version classes are deprecated

[flake8]
max-line-length = 150

[egg_info]
tag_build = 
tag_date = 0

